function [b_matr]=bmixed1(k1,k2,k3,n)
% Inhomogeneous Neumann on piece k1, where k1 is a scalar:
bp1 = bneum_f1(n);
b_matr(1:length(bp1),k1) = bp1;
b_matr(:,k2) = zeros(length(bp1),length(k2));
% Homogeneous Neumann on piece k2, where k2 is a vector:
b_matr(1:10,k2)=repmat([1;0;1;1;48;48;48;48; 49;48],1,length(k2));
% Homogeneous Dirichlet on piece k3, where k3 is a vector:
b_matr(:,k3) = zeros(length(bp1),length(k3));
b_matr(1:10,k3)=repmat([1; 1; 1; 1; 1; 1; 48; 48; 49; 48],1,length(k3));
