lambdalow = 2.346+0.0005
lambdahigh = 2.346+0.001
nstep=100;
h = (lambdahigh-lambdalow)/nstep;
for j = 1:nstep
    lambdavec(j) = lambdalow + (j-1)*h;
end;
for j = 1:length(lambdavec)
    lambda = lambdavec(j);
    Dl = (lambda-lambda0)*inv(diag((neumanneigs-lambda).*(neumanneigs-lambda0)));
    M = 0.5*(ND1+ND1') + ctranspose(Ss)*Dl*Ss;
    Nvec = twocompextdnmap(Jmax,nchannel,lambda);
    N = diag(Nvec);
    evsmn(:,j) = sort(eig(M*inv(N)));
end;
%plot(lambdavec,evsmn(52,:),'.')

for k = 1:size(evsmn,1)
    if (evsmn(k,1)<-0.5)
        plot(lambdavec,evsmn(k,:),'.')
        hold on;
    end;
%    plot(lambdavec,evsmn(k,:),'.')
end;

